QGIS Application - Bug report #4192
Shapefiles loaded with File browser are not recognized as OGR data sources for rasterization
2011-08-20 09:25 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 14167
Description

If | apply Rasterize from GDALTools on a layer loaded double-clicking from File browser (shown on the legend as "filename.shp") this is
not recognized as a valid data source. The same file, loaded with the old method, works smoothly

History

#1 - 2011-08-20 09:27 AM - Paolo Cavallini

When loaded with the old method, it is shown as "filename", not as "filename.shp"

#2 - 2011-08-23 04:10 AM - Giuseppe Sucameli

The problem is that the layer's source ends with |layerid=0

Loading a OGR layer from QGis, the layer's source contains only the file path.

#3 - 2011-08-23 04:19 AM - Martin Dobias

That is a legal URI - some data sources may contain multiple layers, in that case also QGIS shows a dialog that lets user to select "sublayers" to load - they

also include the "|layerid=X" postfix.

#4 - 2011-08-23 06:41 AM - Giuseppe Sucameli
- Category set to GDAL Tools
- Assignee changed from Martin Dobias to Giuseppe Sucameli

So it's GdalTools plugin that has to check the path when selecting a layer from canvas.

#5 - 2011-09-01 10:11 AM - Giuseppe Sucameli

Martin Dobias wrote:

That is a legal URI - some data sources may contain multiple layers, in that case also QGIS shows a dialog that lets user to select "sublayers" to
load - they also include the "[layerid=X" postfix.
Why don't add "|layername=Y" too?

There're GDAL tools that get a vector as input, they get layername instead of layerid to select the right sublayer.

E.g. gdal_rasterize (-1), gdalwarp (-cl)

#6 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#7 - 2011-12-17 03:50 AM - Giuseppe Sucameli

Now the problem occurs only if the datasource contains more than one layer, otherwise the |layerid=X is not appended to the layer URI.

#8 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

#9 - 2012-09-04 11:58 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#10 - 2012-12-31 01:24 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#11 - 2013-07-12 03:41 PM - Jiirgen Fischer

- Assignee deleted (anonymous -)

#12 - 2013-07-21 04:28 PM - Daniel Vaz

This still occurs?

Could you provide some dataset to reproduce it?

Thanks in advance

#13 - 2013-07-21 11:25 PM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Open to Closed

Apparently fixed in the meantime

2025-04-27 22



